package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileExternalGatewayModel;
import com.bocloud.nms.model.agile.AgilePublicIpModel;

import java.util.List;

public interface ExternalGatewayProvider extends SuperProvider {
    default BocloudResult<List<AgileExternalGatewayModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileExternalGatewayModel> modify(AgileExternalGatewayModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileExternalGatewayModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgilePublicIpModel> modifyPublicIpStatus(AgilePublicIpModel model) {
        return new BocloudResult<>(false, "need implement");
    }
}
